#include "configuration.hpp"

namespace Server
{
	int Configuration::GetMajorVersion() const
	{
		return 0;
	}

	int Configuration::GetMinorVersion() const
	{
		return 1;
	}

	std::string const & Configuration::GetWwwRoot() const
	{
		return wwwRoot;
	}

	std::string const & Configuration::GetServerName() const
	{
		return serverName;
	}

	int Configuration::GetPort() const
	{
		return port;
	}

	bool Configuration::IsValid() const
	{
		return isValid;
	}

	bool Configuration::LoadFromFile(std::string const & filePath)
	{
		// TODO implement
		return false;
	}

	Configuration::Configuration()
		: wwwRoot("./www"),
		serverName("http-server"),
		port(8080)
	{
	}
}